// ChekUpdatesDlg.cpp : implementation file
//

#include "stdafx.h"
#include "autoupdate.h"
#include "ChekUpdatesDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CChekUpdatesDlg dialog


CChekUpdatesDlg::CChekUpdatesDlg(CWnd* pParent /*=NULL*/)
	: CaplTranslateDialog(CChekUpdatesDlg::IDD, pParent)
	, m_Text(_T("Проверка изменившихся файлов"))
{
	//{{AFX_DATA_INIT(CChekUpdatesDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CChekUpdatesDlg::DoDataExchange(CDataExchange* pDX)
{
	CaplTranslateDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CChekUpdatesDlg)
	// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
	DDX_Text(pDX, IDC_STATIC_TEXT, m_Text);
	DDX_Control(pDX, IDC_STATIC_TEXT, m_text_ctrl);
	DDX_Control(pDX, IDC_STATIC_TEXT2, m_text2_ctrl);
}


BEGIN_MESSAGE_MAP(CChekUpdatesDlg, CaplTranslateDialog)
	//{{AFX_MSG_MAP(CChekUpdatesDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CChekUpdatesDlg message handlers
void CChekUpdatesDlg::SetText(LPCTSTR txt)
{
	CString str=txt;
	m_text_ctrl.SetWindowText(str);
	Invalidate(FALSE);
}
void CChekUpdatesDlg::SetText2(LPCTSTR txt)
{
	CString str=txt;
	m_text2_ctrl.SetWindowText(str);
	Invalidate(FALSE);
}